{*******************************************************
  TotiPM Speech Synthesis - UPCTV
  (C) TotiPM Software - Jordi Lagares Roset
  Unit ABOUT - prov del del FRESSA 32
  data inici 09/10/99
  ltim dia  27/12/05
*******************************************************}

unit Unitabout;

{*******************************************************}
interface
{*******************************************************}

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, MMSystem, ShellApi, Dialogs;

type
  TAboutBox = class(TForm)
    OKButton: TBitBtn;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    Panel1: TPanel;
    Bevel2: TBevel;
    Panel2: TPanel;
    ImageTotiPM: TImage;
    ImageFressa: TImage;
    Label1: TLabel;
    ImageOrdinador: TImage;
    ImageOrella: TImage;
    Timer1: TTimer;
    Label2: TLabel;
    Memo1: TMemo;
    ImagePallassoMiquel: TImage;
    ImageTitol: TImage;
    ImageMonica: TImage;
    ImageInteligencia: TImage;
    procedure ImageFressaClick(Sender: TObject);
    procedure ImageTotiPMClick(Sender: TObject);
    procedure Label1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Label2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure CopyrightClick(Sender: TObject);
    procedure ProductNameClick(Sender: TObject);
    procedure FormClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Panel1Click(Sender: TObject);
    procedure ImagePallassoMiquelClick(Sender: TObject);
    procedure Panel2Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure CommentsClick(Sender: TObject);
    procedure ImageMonicaClick(Sender: TObject);
    procedure ImageInteligenciaClick(Sender: TObject);
    procedure ImageTitolClick(Sender: TObject);
    procedure VersionClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;
  //BoolInformacioCopyRight:integer;

{*******************************************************}
implementation
{*******************************************************}

{$R *.DFM}

{************************************************}
procedure TAboutBox.FormCreate(Sender: TObject);
begin
  Memo1.ReadOnly:=true;
  //BoolInformacioCopyRight:=0;
end;

procedure TAboutBox.FormShow(Sender: TObject);
begin
  Timer1.Enabled:=true;
end;

procedure TAboutBox.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Timer1.Enabled:=false;
  //sndPlaySound(nil,SND_ASYNC);
end;

procedure TAboutBox.FormDestroy(Sender: TObject);
begin
  //if BoolInformacioCopyRight=1 then FormInformacioCopyRight.ShowModal;
end;

procedure TAboutBox.FormClick(Sender: TObject);
begin
  if Memo1.Visible then Memo1.Visible:=false else Memo1.Visible:=true;
end;

{*******************************************************}
procedure TAboutBox.ImageFressaClick(Sender: TObject);
begin
  ImageFressa.Visible:=False;
  ImageTotiPM.Visible:=true;
end;

procedure TAboutBox.ImageTotiPMClick(Sender: TObject);
begin
  ImageTotiPM.Visible:=False;
  ImageInteligencia.Visible:=true;
end;

procedure TAboutBox.Label1Click(Sender: TObject);
begin
  ImageInteligencia.Visible:=false;
  ImageMonica.Visible:=true;
end;

procedure TAboutBox.Label2Click(Sender: TObject);
begin
  ImageMonica.Visible:=false;
  ImageFressa.Visible:=true;
end;

procedure TAboutBox.Timer1Timer(Sender: TObject);
begin
  if ImageTotiPM.Visible then begin
    ImageTotiPM.Visible:=False;
    ImageInteligencia.Visible:=true;
  end else if ImageInteligencia.Visible then begin
    ImageInteligencia.Visible:=false;
    ImageMonica.Visible:=true;
  end else if ImageMonica.Visible then begin
    ImageMonica.Visible:=false;
    ImageFressa.Visible:=true;
    Comments.Alignment:=taLeftJustify;
    Comments.Caption:='Toti PM Software en col.laboraci amb l''Escola d''Educaci Especial Palau de Girona';
  end else if ImageFressa.Visible then begin
    ImageFressa.Visible:=False;
    ImageTotiPM.Visible:=true;
  end;
  if ImageOrdinador.Visible then begin
    ImageOrdinador.Visible:=false;
    ImageOrella.Visible:=true;
  end else begin
    ImageOrdinador.Visible:=true;
    ImageOrella.Visible:=false;
  end;
end;

procedure TAboutBox.CopyrightClick(Sender: TObject);
begin
  ShellExecute(0, Nil, 'http://www.lagares.org', Nil, Nil, SW_NORMAL);
end;

procedure TAboutBox.ProductNameClick(Sender: TObject);
begin
  ShellExecute(0, Nil, 'http://www.lagares.org', Nil, Nil, SW_NORMAL);
end;

procedure TAboutBox.Panel1Click(Sender: TObject);
begin
  Panel1.Visible:=false;
  Panel2.Visible:=false;
  ImagePallassoMiquel.Visible:=True;
end;

procedure TAboutBox.ImagePallassoMiquelClick(Sender: TObject);
begin
  ImagePallassoMiquel.Visible:=false;
  Panel1.Visible:=true;
  Panel2.Visible:=true;
end;

procedure TAboutBox.Panel2Click(Sender: TObject);
begin
  if Memo1.Visible then Memo1.Visible:=false else Memo1.Visible:=true;
end;

procedure TAboutBox.CommentsClick(Sender: TObject);
begin
  Comments.Alignment:=taLeftJustify;
  Comments.Caption:='Toti PM Software en col.laboraci amb l''Escola d''Educaci Especial Palau de Girona';
end;

procedure TAboutBox.ImageMonicaClick(Sender: TObject);
begin
  ImageMonica.Visible:=false;
  ImageFressa.Visible:=true;
end;

procedure TAboutBox.ImageInteligenciaClick(Sender: TObject);
begin
  ImageInteligencia.Visible:=false;
  ImageMonica.Visible:=true;
end;

procedure TAboutBox.ImageTitolClick(Sender: TObject);
begin
  Panel1Click(nil);
end;

procedure TAboutBox.VersionClick(Sender: TObject);
begin
  Panel1Click(nil);
end;

end.

